module CMouseHoleEnum
    use OperationScenariosModule
    implicit none
    contains
    
    subroutine Evaluate_MouseHole()
        implicit none
        
!        if (DriveType == TopDrive_DriveType) then
!#ifdef OST
!            print*, 'Evaluate_MouseHole=TopDrive'
!#endif
!        endif
!        
!        
!        
!        
!        
!        
!        if (DriveType == Kelly_DriveType) then
!#ifdef OST
!            print*, 'Evaluate_MouseHole=Kelly'
!#endif
!        endif
        
    end subroutine
    
    subroutine Subscribe_MouseHole()
        !use CDrillingConsoleVariables
    use SimulationVariables
    use SimulationVariables
        implicit none
        !call OnFillMouseHolePress%Add(ButtonPress_MouseHole)
    end subroutine
    
    !subroutine ButtonPress_MouseHole()
    !    implicit none
    !    print*, 'ButtonPress_MouseHole'
    !end subroutine
    
end module CMouseHoleEnum